#------- creation d'un nouvel espace de travail
set ns [new Simulator]

#------- log de la simulation pour nam
set f [open ping.nam w]
$ns namtrace-all $f

#------- creation de 2 noeuds
set n0 [$ns node]
set n1 [$ns node]

#------- lien entre les 2 noeuds
$ns duplex-link $n0 $n1 5Mb 2ms DropTail

#------- attachement de 2 agents ping
set agentPing0 [new Agent/Ping]
$ns attach-agent $n0 $agentPing0
set agentPing1 [new Agent/Ping]
$ns attach-agent $n1 $agentPing1

set tcp [new Agent/TCP]
$tcp set class_ 1
$ns attach-agent $n0 $tcp

set sink [new Agent/TCPSink]
$ns attach-agent $n1 $sink

$agentPing0 sendit

$ns at 3.0 "bye"
proc bye {} {
	global ns f
	$ns flush-trace
	close $f
	puts "lancement de nam ..."
	exec ./nam.exe
	exit 0
}

$ns run
